Patch one row
PATCH
/collection/{id}/rows/{rowId}
Path Parameters
idstring
required·
Resource id
rowIdstring
required·
Resource id
Request Body
fieldsobject
typecastboolean
Response Body
created_atstring
created_bystring,null
fieldsobject
idstring
updated_atstring
updated_bystring,null
curl -X PATCH 'https://api.elaichi.ai/collection/<id>/rows/<rowId>' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"fields":{},"typecast":true}'const body = {
"fields": {},
"typecast": true
};
const response = await fetch('https://api.elaichi.ai/collection/<id>/rows/<rowId>', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection/<id>/rows/<rowId>"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"fields": {},
"typecast": True
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())